<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_course_contents', language 'ru', version '2.4'.
 *
 * @package     block_course_contents
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['config_blocktitle'] = 'Заголовок блока';
$string['config_blocktitle_default'] = 'Содержание';
$string['config_blocktitle_help'] = 'Оставьте это поле пустым, чтобы использовать заголовок блока по умолчанию. Заданный здесь заголовок будет использоваться вместо стандартного.';
$string['config_enumerate'] = 'Нумеровать заголовки разделов';
$string['config_enumerate_label'] = 'Если включено, то перед заголовком раздела отображается его номер';
$string['course_contents:addinstance'] = 'Добавить новый блок содержания курса';
$string['notusingsections'] = 'В этом формате курса не используются разделы.';
$string['pluginname'] = 'Содержимое курса';
