<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_preg', language 'ru', version '2.4'.
 *
 * @package     qtype_preg
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accept_leaf_control'] = '';
$string['answerno'] = 'Ответ {$a}';
$string['any_leaf_control'] = '';
$string['anycrlf_leaf_control'] = '';
$string['bsr_anycrlf_leaf_control'] = '';
$string['bsr_unicode_leaf_control'] = '';
$string['charhintpenalty'] = 'Штраф за подсказку следующего символа';
$string['charhintpenalty_help'] = 'Штраф за подсказку следующего символа. Обычно должен быть больше, чем штраф, даваемый за каждую новую попытку ответа на вопрос без подсказки. Эти штрафы взаимоисключающие.';
$string['commit_leaf_control'] = '';
$string['correctanswer'] = 'Правильный ответ';
$string['cr_leaf_control'] = '';
$string['crlf_leaf_control'] = '';
$string['debugheading'] = 'Отладочные настройки';
$string['defaultenginedescription'] = 'Движок поиска совпадений, используемый по умолчанию при создании нового вопроса';
$string['defaultenginelabel'] = 'Движок поиска совпадений, используемый по умолчанию';
$string['defaultlangdescription'] = 'Язык, используемый по умолчанию при создании нового вопроса';
$string['defaultlanglabel'] = 'Язык, используемый по умолчанию';
$string['defaultnotationdescription'] = 'Нотация, используемая по умолчанию при создании нового вопроса';
$string['defaultnotationlabel'] = 'Нотация, используемая по умолчанию';
$string['description_accept_leaf_control'] = 'спровоцировать удачное совпадение';
$string['description_char0'] = 'ноль-символ(NUL)';
$string['description_char1'] = 'символ начала заголовка(SOH)';
$string['description_char10'] = 'символ освобождения канала данных(DLE)';
$string['description_char11'] = 'символ управления устройством(DC1)';
$string['description_char12'] = 'символ управления устройством(DC2)';
$string['description_char13'] = 'символ управления устройством(DC3)';
$string['description_char14'] = 'символ управления устройством(DC4)';
$string['description_char15'] = 'символ неподтверждения(NAK)';
$string['description_char16'] = 'символ синхронизации(SYN)';
$string['description_char17'] = 'конца текстового блока(ETB)';
$string['description_char18'] = 'символ отмены(CAN)';
$string['description_char19'] = 'конец носителя(EM)';
$string['description_char1A'] = 'подставитель(SUB)';
$string['description_char1B'] = 'esc-символ(ESC)';
$string['description_char1C'] = 'разделитель файлов(FS)';
$string['description_char1D'] = 'разделитель групп(GS)';
$string['description_char1E'] = 'разделитель записей(RS)';
$string['description_char1F'] = 'разделитель юнитов(US)';
$string['description_char2'] = 'символ начала текста(STX)';
$string['description_char20'] = 'пробел';
$string['description_char2002'] = 'en пробел';
$string['description_char2003'] = 'em пробел';
$string['description_char2009'] = 'тонкий пробел';
$string['description_char200C'] = 'zero width non-joiner';
$string['description_char200D'] = 'zero width joiner';
$string['description_char3'] = 'символ конца текста(ETX)';
$string['description_char4'] = 'символ конца передачи(EOT)';
$string['description_char5'] = 'символ запроса подтверждения(ENQ)';
$string['description_char7F'] = 'символ удаления(DEL)';
$string['description_char8'] = 'символ удаления(BS)';
$string['description_char9'] = 'табуляция(HT)';
$string['description_charA'] = 'перевод строки(LF)';
$string['description_charA0'] = 'неразрывный пробел';
$string['description_charAD'] = 'символ мягкого переноса';
$string['description_charB'] = 'вертикальная табуляция(VT)';
$string['description_charC'] = 'символ новой страницы(FF)';
$string['description_charD'] = 'символ возврата каретки(CR)';
$string['description_charE'] = 'shift out символ(SO)';
$string['description_charF'] = 'shift in символ(SI)';
$string['description_charflag_Arabic'] = 'Арабский символ';
$string['description_charflag_Armenian'] = 'Армянский символ';
$string['description_charflag_Avestan'] = 'Авестийский символ';
$string['description_charflag_Balinese'] = 'Balinese символ';
$string['description_charflag_Bamum'] = 'Bamum символ';
$string['description_charflag_Bengali'] = 'Bengali символ';
$string['description_charflag_Bopomofo'] = 'Bopomofo символ';
$string['description_charflag_Braille'] = 'Braille символ';
$string['description_charflag_Buginese'] = 'Buginese символ';
$string['description_charflag_Buhid'] = 'Buhid символ';
$string['description_charflag_Canadian_Aboriginal'] = 'Canadian Aboriginal символ';
$string['description_charflag_Carian'] = 'Carian символ';
$string['description_charflag_Cc'] = 'ASCII или Latin-1 служебный символ';
$string['description_charflag_Cf'] = 'непечатные символы форматирования (Unicode)';
$string['description_charflag_Cham'] = 'Cham символ';
$string['description_charflag_Cherokee'] = 'Cherokee символ';
$string['description_charflag_Cn'] = 'символ, отсутствующий в Unicode,';
$string['description_charflag_Co'] = 'символ с кодом, выделенным для приватного использования,';
$string['description_charflag_Common'] = 'Common символ';
$string['description_charflag_Coptic'] = 'Coptic символ';
$string['description_charflag_Cs'] = 'surrogate';
$string['description_charflag_Cuneiform'] = 'Cuneiform символ';
$string['description_charflag_Cypriot'] = 'Cypriot символ';
$string['description_charflag_Cyrillic'] = 'Cyrillic символ';
$string['description_charflag_Deseret'] = 'Deseret символ';
$string['description_charflag_Devanagari'] = 'Devanagari символ';
$string['description_charflag_Egyptian_Hieroglyphs'] = 'Egyptian Hieroglyphs символ';
$string['description_charflag_Ethiopic'] = 'Ethiopic символ';
$string['description_charflag_Georgian'] = 'Georgian символ';
$string['description_charflag_Glagolitic'] = 'Glagolitic символ';
$string['description_charflag_Gothic'] = 'Gothic символ';
$string['description_charflag_Greek'] = 'Greek символ';
$string['description_charflag_Gujarati'] = 'Gujarati символ';
$string['description_charflag_Gurmukhi'] = 'Gurmukhi символ';
$string['description_charflag_Han'] = 'Han символ';
$string['description_charflag_Hangul'] = 'Hangul символ';
$string['description_charflag_Hanunoo'] = 'Hanunoo символ';
$string['description_charflag_Hebrew'] = 'Hebrew символ';
$string['description_charflag_Hiragana'] = 'Hiragana символ';
$string['description_charflag_Imperial_Aramaic'] = 'Imperial Aramaic символ';
$string['description_charflag_Inherited'] = 'Inherited символ';
$string['description_charflag_Inscriptional_Pahlavi'] = 'Inscriptional Pahlavi символ';
$string['description_charflag_Inscriptional_Parthian'] = 'Inscriptional Parthian символ';
$string['description_charflag_Javanese'] = 'Javanese символ';
$string['description_charflag_Kaithi'] = 'Kaithi символ';
$string['description_charflag_Kannada'] = 'Kannada символ';
$string['description_charflag_Katakana'] = 'Katakana символ';
$string['description_charflag_Kayah_Li'] = 'Kayah Li символ';
$string['description_charflag_Kharoshthi'] = 'Kharoshthi символ';
$string['description_charflag_Khmer'] = 'Khmer символ';
$string['description_charflag_L'] = 'буква';
$string['description_charflag_Lao'] = 'Lao символ';
$string['description_charflag_Latin'] = 'Latin символ';
$string['description_charflag_Lepcha'] = 'Lepcha символ';
$string['description_charflag_Limbu'] = 'Limbu символ';
$string['description_charflag_Linear_B'] = 'Linear B символ';
$string['description_charflag_Lisu'] = 'Lisu символ';
$string['description_charflag_Ll'] = 'буква в нижнем регистре';
$string['description_charflag_Lm'] = 'спец. символ, используемый как буква,';
$string['description_charflag_Lo'] = 'буква без заглавного варианта';
$string['description_charflag_Lt'] = 'буква в заглавном регистре';
$string['description_charflag_Lu'] = 'буква в верхнем регистре';
$string['description_charflag_Lycian'] = 'Lycian символ';
$string['description_charflag_Lydian'] = 'Lydian символ';
$string['description_charflag_M'] = 'метка';
$string['description_charflag_Malayalam'] = 'Malayalam символ';
$string['description_charflag_Mc'] = 'пробельный символ';
$string['description_charflag_Me'] = 'enclosing mark';
$string['description_charflag_Meetei_Mayek'] = 'Meetei Mayek символ';
$string['description_charflag_Mn'] = 'не пробельный символ';
$string['description_charflag_Mongolian'] = 'Mongolian символ';
$string['description_charflag_Myanmar'] = 'Myanmar символ';
$string['description_charflag_N'] = 'число';
$string['description_charflag_Nd'] = 'десятичное число';
$string['description_charflag_New_Tai_Lue'] = 'New Tai Lue символ';
$string['description_charflag_Nko'] = 'Nko символ';
$string['description_charflag_Nl'] = 'letter number';
$string['description_charflag_No'] = 'другое число';
$string['description_charflag_Ogham'] = 'Ogham символ';
$string['description_charflag_Ol_Chiki'] = 'Ol_Chiki символ';
$string['description_charflag_Old_Italic'] = 'Old Italic символ';
$string['description_charflag_Old_Persian'] = 'Old Persian символ';
$string['description_charflag_Old_South_Arabian'] = 'Old South_Arabian символ';
$string['description_charflag_Old_Turkic'] = 'Old_Turkic символ';
$string['description_charflag_Oriya'] = 'Oriya символ';
$string['description_charflag_Osmanya'] = 'Osmanya символ';
$string['description_charflag_P'] = 'пунктуация';
$string['description_charflag_Pc'] = 'connector punctuation';
$string['description_charflag_Pd'] = 'тире';
$string['description_charflag_Pe'] = 'close punctuation';
$string['description_charflag_Pf'] = 'final punctuation';
$string['description_charflag_Phags_Pa'] = 'Phags_Pa символ';
$string['description_charflag_Phoenician'] = 'Phoenician символ';
$string['description_charflag_Pi'] = 'initial punctuation';
$string['description_charflag_Po'] = 'other punctuation';
$string['description_charflag_Ps'] = 'open punctuation';
$string['description_charflag_Rejang'] = 'Rejang символ';
$string['description_charflag_Runic'] = 'Runic символ';
$string['description_charflag_S'] = 'символ';
$string['description_charflag_Samaritan'] = 'Samaritan символ';
$string['description_charflag_Saurashtra'] = 'Saurashtra символ';
$string['description_charflag_Sc'] = 'денежный символ';
$string['description_charflag_Shavian'] = 'Shavian символ';
$string['description_charflag_Sinhala'] = 'Sinhala символ';
$string['description_charflag_Sk'] = 'символ-модификатор';
$string['description_charflag_Sm'] = 'математический символ';
$string['description_charflag_So'] = 'символ (не математический, денежный)';
$string['description_charflag_Sundanese'] = 'Sundanese символ';
$string['description_charflag_Syloti_Nagri'] = 'Syloti_Nagri символ';
$string['description_charflag_Syriac'] = 'Syriac символ';
$string['description_charflag_Tagalog'] = 'Tagalog символ';
$string['description_charflag_Tagbanwa'] = 'Tagbanwa символ';
$string['description_charflag_Tai_Le'] = 'Tai_Le символ';
$string['description_charflag_Tai_Tham'] = 'Tai_Tham символ';
$string['description_charflag_Tai_Viet'] = 'Tai_Viet символ';
$string['description_charflag_Tamil'] = 'Tamil символ';
$string['description_charflag_Telugu'] = 'Telugu символ';
$string['description_charflag_Thaana'] = 'Thaana символ';
$string['description_charflag_Thai'] = 'Thai символ';
$string['description_charflag_Tibetan'] = 'Tibetan символ';
$string['description_charflag_Tifinagh'] = 'Tifinagh символ';
$string['description_charflag_Ugaritic'] = 'Ugaritic символ';
$string['description_charflag_Vai'] = 'Vai символ';
$string['description_charflag_Xan'] = 'алфавитно-числовой символ';
$string['description_charflag_Xps'] = 'любой POSIX пробельный символ';
$string['description_charflag_Xsp'] = 'любой Perl пробельный символ';
$string['description_charflag_Xwd'] = 'любой Perl символ-слово';
$string['description_charflag_Yi'] = 'Yi символ';
$string['description_charflag_Z'] = 'разделитель';
$string['description_charflag_Zl'] = 'разделитель строк';
$string['description_charflag_Zp'] = 'разделитель параграфов';
$string['description_charflag_Zs'] = 'пробельный разделитель';
$string['description_errorafter'] = '</span>';
$string['description_errorbefore'] = '<span style="color:red">';
$string['description_fail_leaf_control'] = 'спровоцировать неудачу';
$string['description_no_start_opt_leaf_control'] = 'no start-match optimization';
$string['description_quant_lazy'] = '(ленивый квантификатор)';
$string['description_quant_possessive'] = '(сверхжадный квантификатор)';
$string['description_ucp_leaf_control'] = 'PCRE_UCP';
$string['description_utf16_leaf_control'] = 'режим UTF-16';
$string['description_utf8_leaf_control'] = 'режим UTF-8';
$string['empty_leaf_meta'] = 'ничего';
$string['engine'] = 'Движок поиска совпадений';
$string['engine_heading_descriptions'] = 'Поиск совпадений может занимать много времени и памяти. Эти настройки позволяют задать пределы использования времени и памяти движками поиска совпадений. Увеличьте их, если получаете ошибку о слишком большом регулярном выражении, но имейте ввиду производительность вашего сервера (вы также можете увеличить лимиты времени и памяти самого PHP). Уменьшите их, если получаете пустую страницу во время сохранения или работы с preg вопросом.';
$string['error_PCREincorrectregex'] = 'Некорректное регулярное выражение - ошибка синтаксиса! Ознакомьтесь с <a href="http://pcre.org/pcre.txt">документацией PCRE</a> для получения информации.';
$string['exactmatch'] = 'Точное совпадение';
$string['exactmatch_help'] = '<p>По умолчанию поиск совпадений с регулярным выражением возвращает истину, если в ответе есть хотя бы одно совпадение. Точное совпадение означает, что совпадать должна строка целиком.</p><p>Установите значение Да, если вы пишете регулярное выражение для ответа целиком. Установка значения Нет дает дополнительную гибкость: вы можете указать ответ с низкой (или нулевой) оценкой, чтобы "отловить" частые ошибки студентов и дать на них отзыв. Вы также можете указывать режим точного совпадения, начиная регулярное выражение символом ^ и заканчивая его символом $.</p>';
$string['explain_any_char'] = 'Любой символ из';
$string['explain_any_char_except'] = 'Любой символ кроме';
$string['fa_state_limit'] = 'Лимит конечного автомата: состояния';
$string['fa_transition_limit'] = 'Лимит конечного автомата: переходы';
$string['fail_leaf_control'] = '';
$string['hintcolouredstring'] = 'совпавшую часть ответа';
$string['hintgradeborder'] = 'Граница показа подсказок';
$string['hintgradeborder_help'] = 'Ответы с оценкой ниже границы показа подсказок не будут использоваться для дачи подсказок.';
$string['hintnextchar'] = 'следующий правильный символ';
$string['hintnextlexem'] = 'пока не закончится {$a}';
$string['langselect'] = 'Язык';
$string['leaf_assert'] = 'простое утверждение';
$string['leaf_backref'] = 'обратная ссылка';
$string['leaf_charset'] = 'символьный класс';
$string['leaf_control'] = 'управляющая последовательность';
$string['leaf_meta'] = 'мета-символ или escape-последовательность';
$string['leaf_options'] = 'модификатор';
$string['lexemhintpenalty'] = 'Штраф за подсказку следующей лексемы';
$string['lexemhintpenalty_help'] = 'Штраф за подсказку следующей лексемы. Обычно должен быть больше, чем штраф, даваемый за каждую новую попытку ответа на вопрос без подсказки. Эти штрафы взаимоисключающие.';
$string['lexemusername'] = 'Синоним слова "лексема", отображаемый студентам';
$string['lexemusername_help'] = 'Возможно, студенты не знают, что атомарная часть языка называется <b>лексемой</b>. Они могут называть ее "словом", "цифрой" или чем-то другим. Вы можете задать слово, которое студенты будут видеть на кнопке подсказки лексемы.';
$string['lf_leaf_control'] = '';
$string['mark_name_leaf_control'] = '';
$string['maxerrorsshowndescription'] = 'Максимальное число показываемых ошибок для каждого регулярного выражения в форме редактирования';
$string['maxerrorsshownlabel'] = 'Максимальное число показываемых ошибок';
$string['nla_node_assert'] = 'отрицательное вперёд смотрящее утверждение';
$string['nlb_node_assert'] = 'отрицательное назад смотрящее утверждение';
$string['no_start_opt_leaf_control'] = '';
$string['nocorrectanswermatch'] = 'Не указано ни одного 100%-правильного ответа';
$string['node_assert'] = 'назад смотрящее утверждение';
$string['node_concat'] = 'конкатенация';
$string['node_error'] = 'синтаксическая ошибка';
$string['node_finite_quant'] = 'конечный квантификатор';
$string['node_infinite_quant'] = 'бесконечный квантификатор';
$string['nohintgradeborderpass'] = 'Не указано ни одного с оценкой выше границы подсказок. Это отключает подсказки.';
$string['notation'] = 'Нотация регулярных выражений';
$string['notation_mdlshortanswer'] = 'Короткий вопрос Moodle';
$string['notation_native'] = 'Регулярное выражение';
$string['php_preg_matcher'] = 'расширение preg для PHP';
$string['pla_node_assert'] = 'положительное вперёд смотрящее утверждение';
$string['plb_node_assert'] = 'положительное назад смотрящее утверждение';
$string['pluginname'] = 'Регулярное выражение';
$string['pluginname_help'] = '<p>Регулярные выражения - это форма записи шаблонов, совпадающих с разными строками. Вы можете использовать их для проверки ответов студентов двумя способами: для указания полностью правильных ответов или для отлова наиболее частых ошибок и выдачи соответствующих отзывов.</p><p>Этот тип вопросов по умолчанию использует синтаксис PCRE. Существует множество уроков по созданию регулярных выражений, например, <a href="http://www.phpfreaks.com/content/print/126">example</a>. Детальное описание вы можете найти здесь: <a href="http://www.nusphere.com/kb/phpmanual/reference.pcre.pattern.syntax.htm">php manual</a>. Вам не нужно заключать регулярные выражения в разделители или указывать модификаторы - Moodle сделает это сам.</p><p>Вы также можете использовать этот тип вопросов как улучшенный вариант shortanswer (с подсказками), даже если вы ничего не знаете про регулярные выражения! Просто выберите нотацию <b>Moodle shortanswer</b> для ваших вопросов.</p>';
$string['pluginname_link'] = 'question/type/preg';
$string['pluginnameadding'] = 'Добавление вопроса с регулярными выражениями';
$string['pluginnameediting'] = 'Редактирование вопроса с регулярными выражениями';
$string['prune_leaf_control'] = '';
$string['questioneditingheading'] = 'Настройки редактирования вопроса';
$string['regex_handler'] = 'Обработчик регулярных выражений';
$string['skip_leaf_control'] = '';
$string['skip_name_leaf_control'] = '';
$string['then_leaf_control'] = '';
$string['tobecontinued'] = '...';
$string['toomanyerrors'] = '.......и ещё ошибок -  {$a}';
$string['ucp_leaf_control'] = '';
$string['unsupportedmodifier'] = 'Ошибка: модификатор {$a->modifier} не поддерживается {$a->classname}.';
$string['usecharhint'] = 'Разрешить подсказку следующего символа';
$string['usecharhint_help'] = 'В поведениях, разрешающих несколько попыток, показывать студентам кнопку подсказки следующего символа, которая показывает один правильный символ после правильной части ответа, давая штраф за эту подсказку. Не все движки поиска совпадений поддерживают подсказки.';
$string['usehint_help'] = 'В поведениях, разрешающих несколько попыток, показывать студентам кнопку подсказки следующего символа или следующей лексемы. Не все движки поиска совпадений поддерживают подсказки.';
$string['uselexemhint'] = 'Разрешить подсказку следующей лексемы (слова, числа, знака пунктуации)';
$string['utf16_leaf_control'] = '';
$string['utf8_leaf_control'] = '';
